
TYPO3.Flow - Bug # 46337

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-03-15 Assigned To: Christian Müller
Updated: 2013-03-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: Remove (costly) file_exists calls in class loading
Description

Associated revisions
Revision 70a092b9 - 2013-03-15 18:24 - Christian Müller

[TASK] Use include with shutup instead of file_exists

This change uses include with shutup operator instead of file_exists
checks for optimized performance.

Change-Id: Ia2ddef625db70d8c985526978b6d83cebbe4d90f
Fixes: #46337
Releases: master, 2.0

Revision 0a84926a - 2013-03-19 18:24 - Christian Müller

[TASK] Use include with shutup instead of file_exists

This change uses include with shutup operator instead of file_exists
checks for optimized performance.

Change-Id: Ia2ddef625db70d8c985526978b6d83cebbe4d90f
Fixes: #46337
Releases: master, 2.0

Revision db967c8b - 2013-03-27 12:05 - Christian Müller

[TASK] Use include with shutup instead of file_exists

This change uses include with shutup operator instead of file_exists
checks for optimized performance.

Change-Id: Ia2ddef625db70d8c985526978b6d83cebbe4d90f
Fixes: #46337
Releases: master, 2.0

History
#1 - 2013-03-15 18:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18873

#2 - 2013-03-15 18:24 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18873

#3 - 2013-03-15 19:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:70a092b9b7bfa4ae904bbc027135fec7f2df00d5.

#4 - 2013-03-15 19:47 - Norbert Sendetzky

My tests have shown that using file_exists() is faster than using @include when the file doesn't exist. As this is the most common case when several
include paths are available, it's likely that this patch will slow down class loading instead of improving it.

#5 - 2013-03-19 18:26 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19062

#6 - 2013-03-19 18:37 - Christian Müller
- Status changed from Under Review to Resolved

Applied in changeset commit:0a84926a859cd077c3c9d6f2744c01552805c045.

#7 - 2013-03-27 12:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19359

#8 - 2013-03-27 13:37 - Christian Müller
- Status changed from Under Review to Resolved
Applied in changeset commit:db967c8b78a39a14cccae90b085dcf7320e8bbb0.
